{ config, lib, pkgs, user, ...}:

{
  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";

    packages = with pkgs; [
      bat
      htop
      tmux
    ];

    stateVersion = "22.05";
  };

  programs = {
    zsh = {
      enable = true;
      enableSyntaxHighlighting = true;
      history.size = 10000;

      oh-my-zsh = {
        enable = true;
	plugins = [ "git" "tmux" "vi-mode" ];
	theme = "intheloop";
      };
    };

    home-manager.enable = true;
  };
}
